org.eclnt.jsfserver.util

## Class LastPropertyResolverByDelegation

- java.lang.Object
- - PropertyResolver
  - - org.eclnt.jsfserver.util.LastPropertyResolverByDelegation

-     public class LastPropertyResolverByDelegation
      extends PropertyResolver

  This is the property resolver that is referenced via faces-config.xml. It provides the following addon-features:
  (1) Fast(er) access than introspection for getting a property. Interface @link `IAcceleratedPropertyAccess`.
  (2) Possibility to convert values just before they are set: interface `IPropertyValueConverter`.
  (3) Possibility to notify bean that is set about the change of data: interface IPropertyResolverAware
  Note: while the listeners on property resolution level always operate on the level of one object and one property there is a more general listener, that has the whole value binding that is currently set in mind: `IValueBindingListener`.
  NOTE: Since changing to JSF 1.2 the property resolver is no longer needed. All the functions were moved into the CCELResolver. Background: there was a major change in JSF 1.2 on expression resolution, which was NOT compatible with the JSF 1.1 processing.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LastPropertyResolverByDelegation(PropertyResolver delegateTo)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Class` | `getType(java.lang.Object arg0, int arg1)`
    `java.lang.Class` | `getType(java.lang.Object arg0, java.lang.Object arg1)`
    `java.lang.Object` | `getValue(java.lang.Object arg0, int arg1)`
    `java.lang.Object` | `getValue(java.lang.Object object, java.lang.Object property)`
    `boolean` | `isReadOnly(java.lang.Object arg0, int arg1)`
    `boolean` | `isReadOnly(java.lang.Object arg0, java.lang.Object arg1)`
    `void` | `setValue(java.lang.Object object, int arrayIndex, java.lang.Object value)`
    `void` | `setValue(java.lang.Object object, java.lang.Object property, java.lang.Object value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LastPropertyResolverByDelegation

          public LastPropertyResolverByDelegation(PropertyResolver delegateTo)

  - ### Method Detail

    - #### getType

          public java.lang.Class getType(java.lang.Object arg0,
                                         java.lang.Object arg1)
                                  throws EvaluationException,
                                         PropertyNotFoundException

      Throws:
        `EvaluationException`
        `PropertyNotFoundException`

    - #### getType

          public java.lang.Class getType(java.lang.Object arg0,
                                         int arg1)
                                  throws EvaluationException,
                                         PropertyNotFoundException

      Throws:
        `EvaluationException`
        `PropertyNotFoundException`

    - #### getValue

          public java.lang.Object getValue(java.lang.Object object,
                                           java.lang.Object property)
                                    throws EvaluationException,
                                           PropertyNotFoundException

      Throws:
        `EvaluationException`
        `PropertyNotFoundException`

    - #### getValue

          public java.lang.Object getValue(java.lang.Object arg0,
                                           int arg1)
                                    throws EvaluationException,
                                           PropertyNotFoundException

      Throws:
        `EvaluationException`
        `PropertyNotFoundException`

    - #### isReadOnly

          public boolean isReadOnly(java.lang.Object arg0,
                                    int arg1)
                             throws EvaluationException,
                                    PropertyNotFoundException

      Throws:
        `EvaluationException`
        `PropertyNotFoundException`

    - #### isReadOnly

          public boolean isReadOnly(java.lang.Object arg0,
                                    java.lang.Object arg1)
                             throws EvaluationException,
                                    PropertyNotFoundException

      Throws:
        `EvaluationException`
        `PropertyNotFoundException`

    - #### setValue

          public void setValue(java.lang.Object object,
                               int arrayIndex,
                               java.lang.Object value)
                        throws EvaluationException,
                               PropertyNotFoundException

      Throws:
        `EvaluationException`
        `PropertyNotFoundException`

    - #### setValue

          public void setValue(java.lang.Object object,
                               java.lang.Object property,
                               java.lang.Object value)
                        throws EvaluationException,
                               PropertyNotFoundException

      Throws:
        `EvaluationException`
        `PropertyNotFoundException`

Copyright © CaptainCasa Gmbh. All Rights Reserved.